Title: BioCypher python module configuration file

## Some options are not used by default. Uncomment them to use them.

biocypher:
  ### Required parameters ###
  ## DBMS type

  dbms: neo4j

  ## Schema configuration

  # schema_config_path: config/schema_config.yaml

  ## Offline mode: do not connect to a running DBMS instance
  ## Can be used e.g. for writing batch import files

  offline: true

  ## Strict mode: do not allow to create new nodes or relationships without
  ## specifying source, version, and license parameters

  strict_mode: false

  ## Ontology configuration

  head_ontology:
    url: https://github.com/biolink/biolink-model/raw/v3.2.1/biolink-model.owl.ttl
    root_node: entity
    # switch_label_and_id: true

  ### Optional parameters ###

  ## Logging
  # Write log to disk
  log_to_disk: true

  # Activate more granular logging
  debug: true

  # Change the log directory
  # log_directory: biocypher-log

  ## Data output directory
  # output_directory: biocypher-out

  ## Resource cache directory
  # cache_directory: .cache

  ## Optional tail ontologies

  # tail_ontologies:
  #   so:
  #     url: test/ontologies/so.owl
  #     head_join_node: sequence variant
  #     tail_join_node: sequence_variant
  #     switch_label_and_id: true
  #   mondo:
  #     url: test/ontologies/mondo.owl
  #     head_join_node: disease
  #     tail_join_node: disease
  #     switch_label_and_id: true

### DBMS configuration ###

neo4j:
  ### Neo4j configuration ###
  ## Database name

  database_name: neo4j

  ## Wipe DB before import (offline mode: --force)

  wipe: true

  ## Neo4j authentication

  uri: neo4j://localhost:7687
  user: neo4j
  password: neo4j

  ## Neo4j admin import batch writer settings

  delimiter: ";"
  array_delimiter: "|"
  quote_character: "'"

  ## MultiDB functionality
  ## Set to false for using community edition or older versions of Neo4j

  multi_db: true

  ## Import options

  skip_duplicate_nodes: false
  skip_bad_relationships: false

  ## Import call prefixes

  # import_call_bin_prefix: bin/
  # import_call_file_prefix: path/to/files/

postgresql:
  ### PostgreSQL configuration ###

  # PostgreSQL connection credentials
  database_name: postgres # DB name
  user: postgres # user name
  password: postgres # password
  host: localhost # host
  port: 5432 # port

  # PostgreSQL import batch writer settings
  quote_character: '"'
  delimiter: '\t'
  # import_call_bin_prefix: '' # path to "psql"
  # import_call_file_prefix: '/path/to/files'

rdf:
  ### RDF configuration ###
  rdf_format: turtle

sqlite:
  ### SQLite configuration ###

  # SQLite connection credentials
  database_name: sqlite.db # DB name

  # SQLite import batch writer settings
  quote_character: '"'
  delimiter: '\t'
  # import_call_bin_prefix: '' # path to "sqlite3"
  # import_call_file_prefix: '/path/to/files'

csv:
  ### CSV/Pandas configuration ###
  delimiter: ","

networkx:
  ### NetworkX configuration ###
  some_config: some_value # placeholder for technical reasons TODO
